%define name psmark
%define version 2.1
%define release 1


Summary: renders a watermark like string on any PostScript document
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System Environment/Kernel
Url: http://gnuwin32.sourceforge.net/packages/psmark.htm
Source0: %{name}-%{version}-src.zip
Packager: Daniel Berteaud <daniel@firewall-services.com>

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
psmark is a utility that renders a watermark like string on any PostScript document.
It comes very useful when you want to add a copyright statement or "DO NOT COPY" statement to a document.

%prep
%setup -c -n %{name}-%{version}

%build
cd src/%{name}/%{version}/%{name}-%{version}-src
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
pushd src/%{name}/%{version}/%{name}-%{version}-src
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 psmark %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__gzip} -9 %{name}.1
%{__install} -m 644 %{name}.1.gz %{buildroot}%{_mandir}/man1
popd
%{__cp} src/%{name}/%{version}/%{name}-%{version}-src/{README,COPYING} .

%clean
rm -rf %{buildroot}

%changelog
* Mon Aug 12 2011 Daniel Berteaud <daniel@firewall-services.com> - 2.1-1
- Initial release


%files
%defattr(-, root, root, -)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

